# Created by pyp2rpm-3.0.0
%global pypi_name virtualenv-api
%global underscore_name virtualenv_api

# test suite is disabled default for koji builds,
# because the tests require internet connection.
%global run_test_suite 0

Name:           python-%{pypi_name}
Version:        2.1.18
Release:        %mkrel 3
Summary:        An API for virtualenv/pip
Group:          Development/Python
License:        BSD
URL:            https://github.com/sjkingo/virtualenv-api
Source0:        https://files.pythonhosted.org/packages/source/v/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

# Add tests and LICENSE missing in sources
Patch0:         add_tests_license.patch

BuildArch:      noarch
 
BuildRequires: pyproject-rpm-macros
BuildRequires:  git
 
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3-virtualenv
BuildRequires:  python3-six
BuildRequires:  python3-pip

%description
Tool to create isolated Python environments. Unfortunately,
it does not expose a native Python API. This package aims to
provide an API in the form of a wrapper around virtualenv.

%package -n     python3-%{pypi_name}
Summary:        An API for virtualenv/pip
Group:          Development/Python
Requires:       python3-six
Requires:       python3-virtualenv
Requires:       python3-pip

%description -n python3-%{pypi_name}
Tool to create isolated Python environments. Unfortunately,
it does not expose a native Python API. This package aims to
provide an API in the form of a wrapper around virtualenv.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files virtualenvapi

%if 0%{run_test_suite}
%check
%pytest
%endif # run_test_suite

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst



%changelog
* Sun Dec 22 2024 papoteur <papoteur> 2.1.18-3.mga10
+ Revision: 2128953
- rebuild for using pytest

* Sat Dec 09 2023 wally <wally> 2.1.18-2.mga10
+ Revision: 2016483
- rebuild for py3.12

* Thu Sep 08 2022 neoclust <neoclust> 2.1.18-1.mga9
+ Revision: 1885750
- New version  2.1.18

* Tue Mar 29 2022 umeabot <umeabot> 2.1.17-6.mga9
+ Revision: 1832170
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 mrambo3501 <mrambo3501> 2.1.17-5.mga9
+ Revision: 1781249
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 2.1.17-4.mga9
+ Revision: 1732923
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 2.1.17-3.mga8
+ Revision: 1532563
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 2.1.17-2.mga8
+ Revision: 1442513
- rebuild for python-3.8
- drop python2 subpkg

* Sat Apr 20 2019 wally <wally> 2.1.17-1.mga7
+ Revision: 1393966
- new version 2.1.17

* Tue Jan 08 2019 tv <tv> 2.1.9-6.mga7
+ Revision: 1351971
- rebuild with python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 2.1.9-5.mga7
+ Revision: 1290476
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 2.1.9-4.mga7
+ Revision: 1135682
- Rebuild for python 3.6

* Thu Dec 01 2016 ngompa <ngompa> 2.1.9-3.mga6
+ Revision: 1071363
- imported package python-virtualenv-api


* Wed Nov 30 2016 Neal Gompa <ngompa13@gmail.com> - 2.1.9-3
- Port to Mageia

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.9-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Jun 06 2016 Michal Cyprian <mcyprian@redhat.com> - 2.1.8-4
- Update to 2.1.9

* Wed Apr 13 2016 Michal Cyprian <mcyprian@redhat.com> - 2.1.8-2
- Add requires, use test_suite enabling macro

* Wed Mar 30 2016 Michal Cyprian <mcyprian@redhat.com> - 2.1.8-1
- Initial package.
